@echo off
REM
REM (c) 1999-2003 Oracle Corp. all rights reserved
REM
REM set proper environment variables required by ias wireless
REM

REM Set the mode of the proxy server, either "standalone" or "integrated".
REM This should be set to "standalone" in the WDK.
set PROXY_MODE=standalone

REM set ORACLE_HOME, it will be instantiated by OUI

REM Test whether ORACLE_HOME is defined
if not "%ORACLE_HOME%" == "" goto oraclehomeexists
ECHO.
ECHO ERROR!!! You MUST define ORACLE_HOME to run this script
ECHO.
REM We don't call this since it is not supported on Winnt 4.0
REM exit/b 1
:oraclehomeexists

REM Set the home of the J2ME server.  This is the directory that
REM contains the subdirectories "webservice\classes", "webservice\stage", etc.
REM The "webservice" directory and its subdirectories are created when the J2ME
REM Proxy Server first starts (when the J2ME Proxy Server's WAR file is first
REM unpacked.)  The home of the J2ME server, then, is the same as the home
REM of the WDK web application.
REM Before running any scripts, make sure that you execute the WDK web
REM server at least once (to unpack the WAR file) and that you set this
REM environment variable to the correct path.  The scripts will not work
REM if the path in this environment variable is incorrect or does not exist.
REM J2ME_SERVER_HOME=${ORACLE_HOME}\wireless\j2ee\applications\wdk\wdk-web

REM set rest environment variables relative to ORACLE_HOME

set JAVA_HOME=%ORACLE_HOME%\jdk
set WIRELESS_HOME=%ORACLE_HOME%\wireless
set LIBDIR=%WIRELESS_HOME%\lib
set IAS_LIB=%ORACLE_HOME%\lib
set MM_HOME=%ORACLE_HOME%\ord\jlib

set PROXY_LOG_DIR=%ORACLE_HOME%\wireless\logs
set J2ME_SERVER_HOME=%ORACLE_HOME%\j2ee\OC4J_Wireless\applications\wdk\wdk-web
set PATH=%JAVA_HOME%\bin;%PATH%;%ORACLE_HOME%\bin

set CLASSPATH=.;%JAVA_HOME%\jre\lib\rt.jar
set CLASSPATH=%CLASSPATH%;%LIBDIR%
set CLASSPATH=%CLASSPATH%;%LIBDIR%\wdk.jar
set CLASSPATH=%CLASSPATH%;%IAS_LIB%\xmlparserv2.jar
set CLASSPATH=%CLASSPATH%;%ORACLE_HOME%\j2ee\home\lib\http_client.jar
set CLASSPATH=%CLASSPATH%;%ORACLE_HOME%\soap\lib\wsdl.jar
set CLASSPATH=%CLASSPATH%;%ORACLE_HOME%\soap\lib\soap.jar
set CLASSPATH=%CLASSPATH%;%LIBDIR%\xmlrpc.jar
set CLASSPATH=%CLASSPATH%;%JAVA_HOME%\lib\tools.jar
set CLASSPATH=%CLASSPATH%;%LIBDIR%\wdkserver.jar
set CLASSPATH=%CLASSPATH%;%ORACLE_HOME%\j2ee\home\oc4j.jar


REM Set the URL for the J2ME proxy server.
REM Replace "localhost" with the actual host name.
REM This environment variable is used in:
REM 1. Notification of the J2ME Proxy Server when you
REM    register web services using the regclass or
REM    regwsdl scripts.
REM 2. J2ME Client Stub Generation.
REM Failure to set this environment variable correctly
REM has the following consequences:
REM 1. The running J2ME Proxy Server will not be aware
REM    of newly registered services until it is restarted.
REM 2. Generated J2ME client stubs will have to be edited
REM    by you to point to the correct J2ME Proxy Server URL.

REM THIS MUST BE THE LAST LINE OF THE FILE SINCE THE VALUE
REM OF PROXY_URL WILL BE EDITED BY POST INSTALLER.
set PROXY_URL=http://%PANAMA_FULL_HOSTNAME%:%APACHE_PORT%/wdk/proxy
